Parses the dex number out of the templateId (eg: "V0151_POKEMON_MEW" => 151)

### Hierarchy

- DexParser

### Implements

- Component

## Index

### Methods

- Process

## Methods

### Process

- Process(id: string): number

- - Defined in components/pokemon/shared/dex-parser.component.ts:12

  Parses the dex number out of the templateId (eg: "V0151_POKEMON_MEW" => 151)

  #### Parameters

  - ##### id: string

    The templateId to parse

  #### Returns number

  The parsed dex number

Generated using TypeDoc